org.keycloak.subsystem.extension

## Class SharedAttributeDefinitons

- java.lang.Object
- - org.keycloak.subsystem.extension.SharedAttributeDefinitons

-     public class SharedAttributeDefinitons
      extends Object

  Defines attributes that can be present in both a realm and an application (secure-deployment).
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2013 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `ALLOW_ANY_HOSTNAME`
    `protected static List<org.jboss.as.controller.SimpleAttributeDefinition>` | `ATTRIBUTES`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `AUTH_SERVER_URL`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `CLIENT_KEY_PASSWORD`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `CLIENT_KEYSTORE`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `CLIENT_KEYSTORE_PASSWORD`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `CONNECTION_POOL_SIZE`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `CORS_ALLOWED_HEADERS`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `CORS_ALLOWED_METHODS`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `CORS_MAX_AGE`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `DISABLE_TRUST_MANAGER`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `ENABLE_CORS`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `EXPOSE_TOKEN`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `REALM_PUBLIC_KEY`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `SSL_NOT_REQUIRED`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `TRUSTSTORE`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `TRUSTSTORE_PASSWORD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedAttributeDefinitons()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `validateTruststoreSetIfRequired(org.jboss.dmr.ModelNode attributes)` truststore and truststore-password must be set if ssl-not-required and disable-trust-manager are both false.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REALM_PUBLIC_KEY

          protected static final org.jboss.as.controller.SimpleAttributeDefinition REALM_PUBLIC_KEY

    - #### AUTH_SERVER_URL

          protected static final org.jboss.as.controller.SimpleAttributeDefinition AUTH_SERVER_URL

    - #### SSL_NOT_REQUIRED

          protected static final org.jboss.as.controller.SimpleAttributeDefinition SSL_NOT_REQUIRED

    - #### ALLOW_ANY_HOSTNAME

          protected static final org.jboss.as.controller.SimpleAttributeDefinition ALLOW_ANY_HOSTNAME

    - #### DISABLE_TRUST_MANAGER

          protected static final org.jboss.as.controller.SimpleAttributeDefinition DISABLE_TRUST_MANAGER

    - #### TRUSTSTORE

          protected static final org.jboss.as.controller.SimpleAttributeDefinition TRUSTSTORE

    - #### TRUSTSTORE_PASSWORD

          protected static final org.jboss.as.controller.SimpleAttributeDefinition TRUSTSTORE_PASSWORD

    - #### CONNECTION_POOL_SIZE

          protected static final org.jboss.as.controller.SimpleAttributeDefinition CONNECTION_POOL_SIZE

    - #### ENABLE_CORS

          protected static final org.jboss.as.controller.SimpleAttributeDefinition ENABLE_CORS

    - #### CLIENT_KEYSTORE

          protected static final org.jboss.as.controller.SimpleAttributeDefinition CLIENT_KEYSTORE

    - #### CLIENT_KEYSTORE_PASSWORD

          protected static final org.jboss.as.controller.SimpleAttributeDefinition CLIENT_KEYSTORE_PASSWORD

    - #### CLIENT_KEY_PASSWORD

          protected static final org.jboss.as.controller.SimpleAttributeDefinition CLIENT_KEY_PASSWORD

    - #### CORS_MAX_AGE

          protected static final org.jboss.as.controller.SimpleAttributeDefinition CORS_MAX_AGE

    - #### CORS_ALLOWED_HEADERS

          protected static final org.jboss.as.controller.SimpleAttributeDefinition CORS_ALLOWED_HEADERS

    - #### CORS_ALLOWED_METHODS

          protected static final org.jboss.as.controller.SimpleAttributeDefinition CORS_ALLOWED_METHODS

    - #### EXPOSE_TOKEN

          protected static final org.jboss.as.controller.SimpleAttributeDefinition EXPOSE_TOKEN

    - #### ATTRIBUTES

          protected static final List<org.jboss.as.controller.SimpleAttributeDefinition> ATTRIBUTES

  - ### Constructor Detail

    - #### SharedAttributeDefinitons

          public SharedAttributeDefinitons()

  - ### Method Detail

    - #### validateTruststoreSetIfRequired

          public static boolean validateTruststoreSetIfRequired(org.jboss.dmr.ModelNode attributes)

      truststore and truststore-password must be set if ssl-not-required and disable-trust-manager are both false.
      Parameters:
        `attributes` - The full set of attributes.
      Returns:
        `true` if the attributes are valid, `false` otherwise.

Copyright © 2014. All Rights Reserved.